Du bist nicht angemeldet.

#1 11.05.2005 21:53:53

voyager
Mitglied

Installation KDE und Gnome

Hallo, kann mir mal jemand helfen, wie ich KDE auf mein AL 0.7 bekomme.
Mit pacman -S kde bekomme ich nur die Fehlermeldung:

error: cannot resolve dependencies for "kdelibs"
"openexr" is not in the package set.

auch pacman -S kdelibs erzeugt denselben Fehler.

Habe die Base-ISO installiert, pacman -Sy pacman schon durchgeführt
pacman -Syu auch (ohne Kernel)

Danke für Euer Bemühen.

Beitrag geändert von Pierre (01.12.2007 12:33:42)

Offline

#2 11.05.2005 22:06:54

Pierre
Entwickler

Re: Installation KDE und Gnome

Vielleicht sind die mirror-server nicht synchron. Trage doch mal direkt immer ftp://ftp.archlinux.org als Server in pacman.conf ein

Offline

#3 11.05.2005 22:19:45

voyager
Mitglied

Re: Installation KDE und Gnome

Server habe ich eingetragen.

Fehlermelundung: (Muss Sie immer vom Laptop abtippen)

warning: failed to get filesize for current.db.tar.gz
warning: failed to get mtime ---------"-----------

failed downloading current.db.tar.gz from ftp://ftp.archlinux.org: 550 failed to open file

failed to synchronize current
gethostbyname: Success
error: cannot connect to ftp://ftp.archlinux.org
failed to synchronize extra

Das bekomme ich.
Wenn ich aber auf ftp.tu-chemnitz... pacman -Syu mache meldet er mir, dass
die Paket synchron sind.

Offline

#4 11.05.2005 22:28:36

Pierre
Entwickler

Re: Installation KDE und Gnome

OK, poste am besten mal die pacman.conf. Und "pacman -Syu" hat problemlos funktioniert und die Updates installiert?

Offline

#5 12.05.2005 12:31:07

voyager
Mitglied

Re: Installation KDE und Gnome

Update mit "pacman -Syu" hat keine Fehler ergeben.
Einzig den Kernel lasse ich nicht aktualisieren.
Habe das zuerst gemacht, und dann ist gar nichts mehr gegangen.
Habe einfach neu aufgesezt.

Ich vermute mal, das die BASE-ISO eventuell nicht alle Pakete hat, um ein graphisches System zu installieren.

Die pacman.conf kann ich erst posten, wenn ich wieder zuhause bin.

Offline

#6 12.05.2005 18:40:01

voyager
Mitglied

Re: Installation KDE und Gnome

Hier meine pacman.conf:

#
# /etc/pacman.conf
#
# NOTE: If you find a mirror that is geographically close to you, please
#       move it to the top of the server list, so pacman will choose it
#       first.
#
# To re-sort your mirror lists by ping/traceroute results, use the
# /usr/bin/sortmirrors.pl script.  It requires the "netselect" package.
#
#     # sortmirrors.pl </etc/pacman.conf >pacman.conf.new
#

# See the pacman manpage for option directives

#
# GENERAL OPTIONS
#
[options]
LogFile     = /var/log/pacman.log
NoUpgrade   = etc/passwd etc/group etc/shadow etc/sudoers
NoUpgrade   = etc/fstab etc/raidtab etc/ld.so.conf
NoUpgrade   = etc/rc.conf etc/rc.local
NoUpgrade   = etc/modprobe.conf etc/modules.conf
NoUpgrade   = etc/lilo.conf boot/grub/menu.lst
IgnorePkg   = kernel kernel26 kernel26mm
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here.
#   - local/custom mirrors can be added here or in separate files
# 

#[testing]
#Server = ftp://ftp.archlinux.org/testing/os/i686

#[tpowa]
#Server = ftp://ftp.archlinux.org/tur/tpowa

[current]
# Add your preferred servers here, they will be used first
#Server = ftp://ftp.archlinux.org/current
Include = /etc/pacman.d/current

[extra]
# Add your preferred servers here, they will be used first
#Server = ftp://ftp.archlinus.org/extra
Include = /etc/pacman.d/extra

#Include = /etc/pacman.d/unstable

# An example of a custom package repository.  See the pacman manpage for
# tips on creating your own repositories.
#[custom]
#Server = file:///home/custompkgs

Beitrag geändert von Pierre (12.05.2005 18:40:36)

Offline

#7 12.05.2005 18:42:58

Pierre
Entwickler

Re: Installation KDE und Gnome

Versuche es mal so:

...
[current]
# Add your preferred servers here, they will be used first
Server = ftp://ftp.archlinux.org/current
#Include = /etc/pacman.d/current

[extra]
# Add your preferred servers here, they will be used first
Server = ftp://ftp.archlinus.org/extra
#Include = /etc/pacman.d/extra
...

Damit nutzt Du die archlinux.org-Server. Einen Versuch ist es wert wink

Offline

#8 12.05.2005 18:48:46

voyager
Mitglied

Re: Installation KDE und Gnome

Nach kurzen Disk wechseln:

Hier die Fehlermeldung:

warning: failed to get filesize for current.db.tar.gz
warning: failed to get mtime for current.db.tar.gz

failed downloading current.db.tar.gz from ftp://ftp.archlinux.org: 550 Failed to open file.

:: Synchronizing package databases...

failed to synchronize current
warning: failed to get filesize for extra.db.tar.gz
warning: failed to get mtime for extra.db.tar.gz

failed downloading extra.db.tar.gz from ftp://ftp.archlinux.org: 550 Failed to open file.

failed to synchronize extra
:: kernel26-2.6.10-3: ignoring package upgrade (2.6.11.7-1)
:: Above packages will be skipped. To manually upgrade use 'pacman -S <pkg>'

Offline

#9 12.05.2005 18:51:34

voyager
Mitglied

Re: Installation KDE und Gnome

Übrigens den Rechtschreibfehler im Pfad zu Archlinux (archlinu++s++) habe ich ausgebessert.

Beitrag geändert von voyager (12.05.2005 18:52:16)

Offline

#10 12.05.2005 18:51:41

Pierre
Entwickler

Re: Installation KDE und Gnome

Was passiert, wenn Du wget verwendest? Folgendes auskommentieren:

#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

Aber sonst Internet, WWW etc. klappt alles?

Offline

#11 12.05.2005 18:53:59

voyager
Mitglied

Re: Installation KDE und Gnome

Probier ich mal aus.

Internet geht. Kann z.B. http://www.nasa.gov pingen.

Offline

#12 12.05.2005 19:02:53

voyager
Mitglied

Re: Installation KDE und Gnome

Wenn ich
XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

verwende, dann tut sich was.

Trotzdem erreiche ich bei ftp://ftp.archlinux.org nichts.

Aber wenn ich wieder zur tu-chemnitz verbinde, dann
funktionierts.

Leider nur bis pacman -S kde

nämlich dann kommt eine andere Meldung:

error: xorg conflicts with xfree86

Offline

#13 12.05.2005 19:04:48

voyager
Mitglied

Re: Installation KDE und Gnome

Habe jetzt mal
pacman -S xfree86
laufen.

Da tut sich was.

Offline

#14 12.05.2005 19:07:05

Pierre
Entwickler

Re: Installation KDE und Gnome

Nimm besser xorg; also mit pacman -S xorg

Offline

#15 12.05.2005 19:10:07

voyager
Mitglied

Re: Installation KDE und Gnome

1234567890(damit ich das Minimum der Zeichen erreich)

Warum?

Offline

#16 12.05.2005 19:11:23

Pierre
Entwickler

Re: Installation KDE und Gnome

xorg ist eine Weiterentwicklung von xfree. xfree wird wohl nicht mehr weiterentwickelt.

Offline

#17 12.05.2005 19:14:39

voyager
Mitglied

Re: Installation KDE und Gnome

Ok, Danke.

Habe ich schon geändert.

Dauert ein bisschen, bis die 60 MB herunten sind.
Habe einen Kabelbetreiber mit 256 kB/s down"
<bigcry> <bigcry>

Beitrag geändert von voyager (12.05.2005 19:17:10)

Offline

#18 12.05.2005 19:54:33

voyager
Mitglied

Re: Installation KDE und Gnome

Nach pacman -S xorg, geht nun auch pacman -S kde.

Berichte morgen wieder, wie's gelaufen ist.

KDE = ca. 234 MB x ca. 30 K/s = ca. 2 Stunden warten = <sleeping> <sleeping> <sleeping> <sleeping> <sleeping> <sleeping> <sleeping> <sleeping> <sleeping> <sleeping>

Beitrag geändert von voyager (12.05.2005 19:58:23)

Offline

#19 12.05.2005 19:55:06

voyager
Mitglied

Re: Installation KDE und Gnome

@ Pierre

Vielen Dank für die Hilfe.

Offline

#20 13.05.2005 21:36:29

voyager
Mitglied

Re: Installation KDE und Gnome

Habe versprochen zu melden, wie es gelaufen ist.

Mittlerweile habe ich KDE installiert, auf deutsches Layout gesetzt, KDM und graphisches Login funktionieren auch.

Ein anderes Problem habe ich trotzdem.

Wenn ich als User mich anmelde bekomme ich eine Fehlermeldung, dass der Sound nicht geht. Als root schon.

Welche Einstellung habe ich nicht richtig erledigt?

Offline

#21 13.05.2005 21:38:11

voyager
Mitglied

Re: Installation KDE und Gnome

Habe diese Felhermeldung schon zu Hand:

Sound server informational message:
Error while initializing the sound driver:
device /dev/dsp can't be opened (Permission denied)
The sound server will continue, using the null output device.

Offline

#22 14.05.2005 09:42:13

Pierre
Entwickler

Re: Installation KDE und Gnome

Füge Deinen Benutzer der Gruppe "audio" hinzu.

Offline

#23 14.05.2005 11:40:47

voyager
Mitglied

Re: Installation KDE und Gnome

Danke, hab ich doch irgendwo im Forum gelesen, leider nicht gefunden. 8)

Und wie schaut mit der Installation von gnome aus?

Offline

#24 14.05.2005 18:05:28

Sodalite
Gast

Re: Installation KDE und Gnome

Gleich, wie mit KDE und zwar

pacman -S gnome

#25 14.05.2005 21:44:35

voyager
Mitglied

Re: Installation KDE und Gnome

Danke für den Tipp.

Ich würde die Frage nicht stellen, wenn ich das nicht selbst schon probiert habe.

pacman -S gnome liefert folgende Fehlermeldung:

[root@defiant ~]# pacman -S gnome
:: group gnome:
control-center gal gnome-common gnome-desktop gnome-icon-theme gnome-mime-data gnome-panel gnome-session gnome-themes gnome2-user-docs
gtkhtml libsoup metacity nautilus rep-gtk vte yelp
Install whole content? [Y/n] y
:: gnome-common-2.8.0-1: is up to date. Upgrade anyway? [Y/n] y
:: gnome-mime-data-2.4.2-1: is up to date. Upgrade anyway? [Y/n] y

Targets: libglade-2.5.1-1 libgnomecanvas-2.8.0-1 gail-1.8.0-1 libbonoboui-2.8.0-1 gnome-keyring-0.4.0-1 libgnomeui-2.8.0-1 eel-2.8.2-1
startup-notification-0.8-1 gnome-desktop-2.8.1-1 nautilus-2.8.2-1 metacity-2.8.6-1 libxklavier-1.04-2 desktop-file-utils-0.10-1
control-center-2.8.1-1 libgnomecups-0.1.13-1 libgnomeprint-2.8.0.1-1 hicolor-icon-theme-0.5-1 gnome-icon-theme-2.8.0-1
libgnomeprintui-2.8.0-1 gal-2.2.3-1 gnome-common-2.8.0-1 gnome-mime-data-2.4.2-1 libsoup-2.2.1-1 evolution-data-server-1.0.2-1
libwnck-2.8.1-1 gnome-panel-2.8.1-1 gnome-session-2.8.1-1 gtk-engines-2.6.3-2 gnome-themes-2.8.0-1 gnome2-user-docs-2.8.1-1
gtkhtml-3.2.3-1 gmp-4.1.4-1 librep-0.16.1-2 rep-gtk-0.18-1 vte-0.11.11-1 libgtkhtml-2.6.2-1 yelp-2.6.3-1

Total Package Size: 30.1 MB

Proceed with upgrade? [Y/n] y

checking package integrity... done.
loading package data... done.
checking for file conflicts...
error: the following file conflicts were found:
usr/lib/gtk-2.0/2.4.0/engines/libcrux-engine.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libcrux-engine.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libhcengine.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libhcengine.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/liblighthouseblue.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/liblighthouseblue.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libmist.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libmist.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libsmooth.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libsmooth.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libthinice.la: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/lib/gtk-2.0/2.4.0/engines/libthinice.so: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/share/themes/Crux/gtk-2.0/gtkrc: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/share/themes/LighthouseBlue/gtk-2.0/gtkrc: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/share/themes/Mist/gtk-2.0/gtkrc: exists in "gtk-engines" (target) and "gnome-themes" (target)
usr/share/themes/ThinIce/gtk-2.0/gtkrc: exists in "gtk-engines" (target) and "gnome-themes" (target)

errors occurred, no packages were upgraded.

[root@defiant ~]#

Wie kann ich diesen Konflikt lösen, bzw. was muß ich zuerst von gnome installieren oder vom meinem System deinstallieren?

Bin für jeden Rat dankbar.

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums